MAPGTL(3NCARG)

NAME
MAPGTL - Gets the current value of a specified EZMAP parameter of type LOGICAL.

MPGETL is an alternate name for the routine MAPGTL.

SYNOPSIS
CALL MAPGTL (PNAM,LVAL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_mapgtl (char *pnam, int *lval)

DESCRIPTION

PNAM
    (an input expression of type CHARACTER) specifies the name of the parameter to get. Only the first two characters of the string are examined.

LVAL
    (an output variable of type LOGICAL) receives the value of the parameter specified by PNAM.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
This routine allows you to retrieve the current value of EZMAP parameters. For a complete list of parameters available in this utility, see the ezmap_params man page.

EXAMPLES
The capabilities offered by the MAPGTL or MPGETL routines are also offered by the MAPGTI or MPGETI routines. See the examples listed on the MAPGTI or MPGETI man page.

ACCESS
To use MAPGTL, MPGETL, or c_mapgtl load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

MESSAGES
See the ezmap man page for a description of all EZMAP error messages and/or informational messages.

SEE ALSO
Online: ezmap, ezmap_params, mapaci, mapbla, mapblm, mapdrw, mapeod, mapfst, mapgci, mapgrd, mapgrm, mapgtc, mapgti, mapgtr, mapint, mapiq, mapiqa, mapiqd, mapiqm, mapit, mapita, mapitd, mapitm, maplbl, maplmb, maplot, mappos, maproj, maprs, maprst, mapsav, mapset, mapstc, mapsti, mapstl, mapstr, maptra, maptri, maptrn, mapusr, mapvec, mpchln, mpfnme, mpgetc, mpgeti, mpgetl, mpgetr, mpglty, mpiaty, mpifnb, mpilnb, mpiola, mpiosa, mpipai, mpipan, mpipar, mpisci, mplnam, mplndm, mplndr, mplnri, mpname, mprset, mpsetc, mpseti, mpsetl, mpsetr, supmap, supcon, ncarg_cbind

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.